#include<stdio.h>
int main(){
	long long n,i,min,max=0,x,y,t;
	scanf("%lld",&n);
	long long a[n];
	for(i=0;i<n;i++)scanf("%lld",&a[i]);
	min=a[n-1];
	x=n-1;
	for(i=n-2;i>=0;i--)if(a[i]<min){
			min=a[i];
			x=i;
		}
	if(x==n-1){
		t=a[n-1];
		a[n-1]=a[n-2];
		a[n-2]=t;
	}
	else{
		for(i=x;i<n;i++)if(a[i]>max){
			max=a[i];
			y=i;
			}
		t=a[x];
		a[x]=a[y];
		a[y]=t;
		}
	for(i=0;i<n;i++)printf("%lld ",a[i]);
	return 0;
}